Skip to main content
Infrastructure/Federation & SSO
GETFederationSince 1.0SynchronousAuth Required

ListCasdoorApplications

List all Casdoor applications registered in the federation Casdoor instance.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • nameString

      Internal name of the Casdoor application.

      Example: app-zcf

    • displayNameString

      Human-readable display name of the Casdoor application.

      Example: ZCF Portal

    • clientIdString

      OAuth 2.0 client ID for the Casdoor application.

      Example: casdoor-client-id

    • redirectUrisList

      Redirect uris

      Example: item1,item2

    • grantTypesList

      Grant types

      Example: item1,item2

    • organizationString

      Organization that owns this Casdoor application.

      Example: built-in

  • totalInteger

    Total number of Casdoor applications available.

    Example: 4

  • limitInteger

    Maximum number of items returned in this page.

    Example: 20

  • offsetInteger

    Zero-based offset of the first item in this page.

    Example: 20

Endpoint

GET/api/v1/sso/casdoor/applications

/api/v1/sso/casdoor/applications

Operation ID

ListCasdoorApplications

Permalink

Request Example

curl -X GET '{host}/api/v1/sso/casdoor/applications' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 4,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history